# Uses of Enum Class
java.lang.Thread.State

Packages that use Thread.State
Package
Description
java.lang
Provides classes that are fundamental to the design of the Java programming language.
java.lang.management
Provides the management interfaces for monitoring and management of the Java virtual machine and other components in the Java runtime.

## Uses of Thread.State in java.lang

Subclasses with type arguments of type Thread.State in java.lang
Modifier and Type
Class
Description
`static enum`
`Thread.State`
A thread state.
Methods in java.lang that return Thread.State
Modifier and Type
Method
Description
`Thread.State`
Thread.`getState()`
Returns the state of this thread.
`static Thread.State`
Thread.State.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Thread.State[]`
Thread.State.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of Thread.State in java.lang.management

Methods in java.lang.management that return Thread.State
Modifier and Type
Method
Description
`Thread.State`
ThreadInfo.`getThreadState()`
Returns the state of the thread associated with this `ThreadInfo`.